%define _use_internal_dependency_generator 0

Summary: Perl-based spam filter using text analysis
Name: perl-Mail-SpamAssassin
Version: 3.1.9
Release: 1.endian4
License: GPL or Artistic
Group: System Environment/Daemons
Source: http://apache.4any.org/spamassassin/source/Mail-SpamAssassin-%{version}.tar.bz2
Source1: init.pre
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/%{name}-buildroot/
Requires: perl >= 5.6.1, perl-Digest-SHA1, perl-HTML-Parser >= 3.24
Requires: perl(Storable), perl(Net::DNS), perl(Net::SMTP)
Requires: pyzor, perl-DB_File perl-Mail-Sender perl-Net-DNS
Requires: perl(Mail::DomainKeys), perl(Mail::SPF::Query)
Requires: perl(Crypt::OpenSSL::Bignum)

BuildRequires: perl >= 5.6.1, perl-Digest-SHA1, perl-HTML-Parser >= 3.24
BuildRequires: perl(Storable), perl(DB_File), perl(Net::DNS), perl(Net::SMTP)
BuildRequires: pyzor, perl(Mail::DomainKeys), perl(Mail::SPF::Query)
Obsoletes: spamassassin
Prereq: /usr/sbin/useradd, /usr/bin/id


%define perlversion   %(perl -MConfig -le 'print "$Config{version}"')

%description
SpamAssassin is a mail filter which attempts to identify spam using
a variety of mechanisms including text analysis, Bayesian filtering, 
DNS blocklists, and collaborative filtering databases.


%package extras
Summary: Perl-based spam filter using text analysis
Group: System Environment/Daemons
Requires: %{name} = %{version}

%description extras
SpamAssassin is a mail filter which attempts to identify spam using
a variety of mechanisms including text analysis, Bayesian filtering, 
DNS blocklists, and collaborative filtering databases.

This package contains ripped down files

%prep
%setup -q -n Mail-SpamAssassin-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor < /dev/null
make

# Attention! your system *must* have a working DNS resolver or tests will fail!
make test

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name "*.pod" -o -name .packlist \) -exec rm -v {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -empty -exec rm -f {} ';'
%{__mkdir_p} $RPM_BUILD_ROOT/var/lib/spamassassin
%{__mkdir_p} $RPM_BUILD_ROOT/var/run/spamd
%{__mkdir_p} $RPM_BUILD_ROOT/etc/spamassassin

install %{SOURCE1} $RPM_BUILD_ROOT/etc/spamassassin/init.pre

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if ! /usr/bin/id amavis &>/dev/null; then
	/usr/sbin/useradd -r -d "/var/amavis" -s /bin/sh -c "Amavis email scan user" -M amavis || \
		%logmsg "Unexpected error adding user \"amavis\"."
fi

if ! /usr/bin/id -n -G amavis | grep -q "\<clamav\>"; then
	/usr/sbin/usermod -G $(id -Gn clamav | tr ' ' ','),amavis clamav || \
		%logmsg "Failed to add user \"amavis\" to group \"clamav\"."
fi
exit 0

%postun
if [ $1 -eq 0 ]; then
       /usr/sbin/userdel amavis || %logmsg "User \"amavis\" could not be deleted."
       /usr/sbin/groupdel amavis || %logmsg "Group \"amavis\" could not be deleted."
fi

%post
chown -R amavis.amavis /var/lib/spamassassin
[ -x /usr/local/bin/restartspamassassin ] && /usr/local/bin/restartspamassassin
exit 0


%files
%defattr(-,root,root)
/etc/spamassassin/init.pre
%{_bindir}/sa-update
%{_bindir}/sa-learn
%{_bindir}/spamassassin
%{_bindir}/spamc
%{_bindir}/spamd
%{_libdir}/perl5/vendor_perl/%{perlversion}/Mail/SpamAssassin.pm
%{_libdir}/perl5/vendor_perl/%{perlversion}/Mail/SpamAssassin/*
%{_datadir}/spamassassin/*.cf
%{_datadir}/spamassassin/languages
%{_datadir}/spamassassin/triplets.txt
%{_datadir}/spamassassin/sa-update-pubkey.txt
%dir %{_sysconfdir}/spamassassin

%defattr(-,amavis,amavis)
%dir /var/lib/spamassassin
%dir /var/run/spamd

%files extras
%defattr(-,root,root)
/usr/etc/mail/spamassassin/local.cf
/usr/etc/mail/spamassassin/*.pre
%{_datadir}/spamassassin/user_prefs.template
%{_datadir}/man/*


%changelog
* Sat Apr 19 2008 Mike Tremaine <mgt@stellarcore.net>
- upgrade to 3.1.9

* Mon Oct 30 2006 Mike Tremaine <mgt@stellarcore.net>
- upgrade to 3.1.7

* Tue Jun 13 2006 Peter Warasin <peter@endian.it>
- upgrade to 3.1.3 because of security advisory CVE 2006-2447

* Thu Jun 01 2006 Peter Warasin <peter@endian.it>
- upgrade to 3.1.2
- restructure of .pre files

* Mon Nov 07 2005 Peter Warasin <peter@endian.it>
- spamd now must run as user amavis

* Sun Nov  6 2005 Peter Warasin <peter@endian.it>
- upgrade to 3.1.0
- adds SPF
- adds DomainKeys

* Wed Jun 15 2004 Peter Warasin <peter@endian.it>
- adapted for endian firewall
